% This is the main file to run

clear;
close all;
clc;

for iter = 1:1		% change the maximum number of iterations in this line
	
	fprintf('Start: Iteration %d\n\n',iter);
    
    HR = Write_Input_Parameters(iter);
    
    tic
%     If using gfortran
%     system('gfortran -g rk4_in_Raov_Rpav.f90');
%     system(ifort -Od -o "a.exe" rk4_in.f90'); for Linux systems

% The command below is for Windows systems with intel fortran oneAPI
% installed.
    system ('call "C:\Program Files (x86)\Intel\oneAPI\setvars.bat" && ifort -Od -o "a.exe" rk4_in.f90');
    fprintf('Compilation Complete');
    system('a.exe')
%	system('./a.out');		% for Linux based systems
    fprintf('Results are Ready\n');
    toc
end

plot_multiple